Update External Gateway Payment Link
curl --request POST \
--url https://api.unibee.dev/merchant/payment/external_gateway_payment/update_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalTransactionId": "<string>",
"paymentId": "<string>",
"paymentLink": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"sendInvoice": true
}
'import requests
url = "https://api.unibee.dev/merchant/payment/external_gateway_payment/update_link"
payload = {
"externalTransactionId": "<string>",
"paymentId": "<string>",
"paymentLink": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"sendInvoice": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalTransactionId: '<string>',
paymentId: '<string>',
paymentLink: '<string>',
signature: '<string>',
timestamp: 123,
gatewayId: 123,
sendInvoice: true
})
};
fetch('https://api.unibee.dev/merchant/payment/external_gateway_payment/update_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"invoiceId": "<string>",
"paymentId": "<string>",
"status": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Payment
Update External Gateway Payment Link
Update external checkout link for a payment. Auth: OpenAPI + signature (HMAC-SHA256, hex).
POST
/
merchant
/
payment
/
external_gateway_payment
/
update_link
Update External Gateway Payment Link
Endpoint Overview
POSThttps://api.unibee.dev/merchant/payment/external_gateway_payment/update_link
Update external checkout link for a payment. Auth: OpenAPI + signature (HMAC-SHA256, hex).
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
externalTransactionId | string | Yes | External payment transaction id from gateway, used as idempotent key |
gatewayId | integer | No | External gateway id (optional), if omitted will be resolved from paymentId |
paymentId | string | Yes | The UniBee paymentId |
paymentLink | string | Yes | External checkout URL for this payment |
sendInvoice | boolean | No | Whether to send invoice email to customer after updating link |
signature | string | Yes | HMAC-SHA256 hex signature using External Gateway API Key over ‘paymentId|externalTransactionId|timestamp’ |
timestamp | integer | Yes | Unix timestamp in seconds, used for signature and anti-replay |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/payment/external_gateway_payment/update_link" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"externalTransactionId": "id_example",
"gatewayId": 0,
"paymentId": "id_example",
"paymentLink": "",
"sendInvoice": false,
"signature": "",
"timestamp": 0
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/payment/external_gateway_payment/update_link" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"externalTransactionId": "id_example",
"gatewayId": 0,
"paymentId": "id_example",
"paymentLink": "",
"sendInvoice": false,
"signature": "",
"timestamp": 0
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.invoiceId | string | The related UniBee invoiceId |
data.paymentId | string | The UniBee paymentId |
data.status | string | Result status, e.g. success |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Update external checkout link for a payment. Auth: OpenAPI + signature (HMAC-SHA256, hex).
External payment transaction id from gateway, used as idempotent key
The UniBee paymentId
External checkout URL for this payment
HMAC-SHA256 hex signature using External Gateway API Key over 'paymentId|externalTransactionId|timestamp'
Unix timestamp in seconds, used for signature and anti-replay
External gateway id (optional), if omitted will be resolved from paymentId
Whether to send invoice email to customer after updating link

